<?xml version="1.0" encoding="UTF-8"?>

<module name="data cell to node" class="CellToNode">

    <inputs>
        <input name="inField" type="org.visnow.vn.lib.types.VNIrregularField" modifiers="NECESSARY:TRIGGERING">
            <acceptor>
                <param name="IRREGULAR" value="true"/>
                <param name="CELLSETS" value="true"/>
            </acceptor>
        </input>
    </inputs>
    <outputs>
        <output name="outField" type="org.visnow.vn.lib.types.VNIrregularField">
            <schema>
                <param name="IRREGULAR" value="true"/>
            </schema>
        </output>
        <geometryOutput/>
    </outputs>
    <parameters>
    </parameters>
    <description value="creates node data from cell data averaging over cells containing node "/>
</module>
